# WorldAPI

## Описание

WorldAPI — это мощная библиотека, позволяющая взаимодействовать с реальным миром на уровне молекул и частиц. С помощью WorldAPI вы можете изменять и получать информацию о различных аспектах мира, включая создание и управление персонажами, их характеристиками и взаимодействиями.

## Установка

Для установки WorldAPI используйте pip:

```bash
pip install worldapi
```

## Пример использования

Ниже приведен пример кода, демонстрирующий, как использовать WorldAPI для создания и управления персонажем:

```python
if __name__ == "__main__":
    WorldAPI.worldSpace.get_earth().entity.human.man.person.add_person("Дима")
    
    misha = WorldAPI.worldSpace.get_earth().entity.human.man.person.findByName("Дима")
    
    if misha:
        print(f"Найден: {misha.name}")
        misha.set_age(25).set_gender("male")
        print(f"Возраст: {misha.age}, Пол: {misha.gender}")
    else:
        print("Персонаж не найден")
```

### Описание кода

1. **Добавление персонажа**: С помощью метода `add_person` вы можете создать нового персонажа с заданным именем.
2. **Поиск персонажа**: Метод `findByName` позволяет найти персонажа по имени.
3. **Изменение характеристик**: После нахождения персонажа вы можете изменить его возраст и пол с помощью методов `set_age` и `set_gender`.
4. **Вывод информации**: Программа выводит информацию о найденном персонаже.

## Документация

Для получения более подробной информации о доступных методах и классах, пожалуйста, обратитесь к [документации](https://example.com/worldapi-docs).

## Поддержка

Если у вас возникли вопросы или проблемы с использованием WorldAPI, пожалуйста, создайте issue в [репозитории GitHub](https://github.com/yourusername/worldapi/issues).

## Лицензия

Этот проект лицензирован под MIT License. Пожалуйста, ознакомьтесь с файлом LICENSE для получения дополнительной информации.

---

С помощью WorldAPI вы можете легко взаимодействовать с миром и создавать уникальные сценарии. Начните использовать библиотеку уже сегодня!
